Get owners of a token

/v4/data/owners

50 credits per API call

Note for v3 API users:

As part of our documentation consolidation, we removed the dedicated page for GET /v3/data/owners. Users can refer to GET /v4/data/owners for the latest documentation, as both endpoints function the same—simply replace v4 with v3 in the API URL if using the v3 version.

Get all addresses that own your favorite token (ERC-20, ERC-721 or ERC-1155)! Our API lets you search for all token owners on:

  • Ethereum - ethereum-mainnet / ethereum-sepolia / ethereum-holesky
  • Base - base-mainnet / base-sepolia
  • Arbitrum - arb-one-mainnet / arb-testnet
  • BNB (Binance) Smart Chain - bsc-mainnet
  • Polygon - polygon-mainnet
  • Optimism - optimism-mainnet / optimism-testnet
  • Berachain - berachain-mainnet
  • Unichain - unichain-mainnet / unichain-sepolia
  • Monad - monad-testnet
  • Celo - celo-mainnet / celo-testnet

To get started:

  • Provide a chain name and address of any fungible token, NFT or multitoken collection. Our API will return a list of addresses of all of their owners.
  • You can also get an owner of a specific NFT by specifying tokenId. In case of multitoken, result is an array of addresses.
Query Params
string
enum
required

The blockchain to work with.

string
required

The blockchain address of the token (NFT collection or any fungible token).

string
length ≤ 78

The ID of a specific NFT token.

number
1 to 50

The number of items per page (default is 50).

number

The offset to obtain next page of the data.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json